<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="imageUrl"
            type="String" />

        <variable
            name="trackName"
            type="String" />

        <variable
            name="dateReleased"
            type="String" />

        <variable
            name="onItemClicked"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="?selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        android:onClick="@{onItemClicked}"
        android:padding="@dimen/padding_micro">

        <ImageView
            android:id="@+id/ivImage"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:scaleType="centerCrop"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:load="@{imageUrl}"
            tools:ignore="ContentDescription" />

        <TextView
            android:id="@+id/tvName"
            style="?textAppearanceBody1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="2"
            android:text="@{trackName}"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="@id/ivImage"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ivImage" />

        <TextView
            android:id="@+id/tvReleaseYear"
            style="?textAppearanceBody2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="2"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="@id/ivImage"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tvName"
            app:year="@{dateReleased}" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>